/*
 * Utils.h
 *
 *  Created on: Feb 20, 2024
 *      Author: mrcode
 */

#ifndef MODULES_CAN_UTILS_H_
#define MODULES_CAN_UTILS_H_
#include "can_msg_node/executable.h"

void toPrint(CAN2SWC value) {
	std::cout << std::dec;

    std::cout << "# ------ Global Physical (double)value. ------ #" << std::endl;

	std::cout << "# ------ message_hs_can_100_t: " << std::endl;
	std::cout << " pas_mode: " << (double)value.Message_HS_CAN_100_Signals.pas_mode <<std::endl;
	std::cout << " pas_warn_tone: " << (double)value.Message_HS_CAN_100_Signals.pas_warn_tone <<std::endl;
	std::cout << " pas_rl_distance: " << (double)value.Message_HS_CAN_100_Signals.pas_rl_distance <<std::endl;
	std::cout << " pas_rl_mid_distance: " << (double)value.Message_HS_CAN_100_Signals.pas_rl_mid_distance <<std::endl;
	std::cout << " pas_rr_mid_distance: " << (double)value.Message_HS_CAN_100_Signals.pas_rr_mid_distance <<std::endl;
	std::cout << " pas_rr_distance: " << (double)value.Message_HS_CAN_100_Signals.pas_rr_distance <<std::endl;
	std::cout << " timestamp_s: " << (double)value.Message_HS_CAN_100_Signals.timestamp_s << std::endl;
	std::cout << " timestamp_ns: " << (double)value.Message_HS_CAN_100_Signals.timestamp_ns << std::endl;
	std::cout << " crc8: " << (double)value.Message_HS_CAN_100_Signals.crc8 << std::endl;
	std::cout << std::endl;

	std::cout << "# ------ message_hs_can_101_t: " << std::endl;
	std::cout << " pas_fl_distance: " << (double)value.Message_HS_CAN_101_Signals.pas_fl_distance <<std::endl;
	std::cout << " pas_fl_mid_distance: " << (double)value.Message_HS_CAN_101_Signals.pas_fl_mid_distance <<std::endl;
	std::cout << " pas_fr_mid_distance: " << (double)value.Message_HS_CAN_101_Signals.pas_fr_mid_distance <<std::endl;
	std::cout << " pas_fr_distance: " << (double)value.Message_HS_CAN_101_Signals.pas_fr_distance <<std::endl;
	std::cout << " pas_rl_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_rl_sns_err_flag <<std::endl;
	std::cout << " pas_rl_mid_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_rl_mid_sns_err_flag <<std::endl;
	std::cout << " pas_rr_mid_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_rr_mid_sns_err_flag <<std::endl;
	std::cout << " pas_rr_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_rr_sns_err_flag <<std::endl;
	std::cout << " pas_fl_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_fl_sns_err_flag <<std::endl;
	std::cout << " pas_fl_mid_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_fl_mid_sns_err_flag <<std::endl;
	std::cout << " pas_fr_mid_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_fr_mid_sns_err_flag <<std::endl;
	std::cout << " pas_fr_sns_err_flag: " << (double)value.Message_HS_CAN_101_Signals.pas_fr_sns_err_flag <<std::endl;
	std::cout << " timestamp_s: " << (double)value.Message_HS_CAN_101_Signals.timestamp_s << std::endl;
	std::cout << " timestamp_ns: " << (double)value.Message_HS_CAN_101_Signals.timestamp_ns << std::endl;
	std::cout << " crc8: " << (double)value.Message_HS_CAN_101_Signals.crc8 << std::endl;
	std::cout << std::endl;

    std::cout << "# ------ VCU_Info_1_Signals: " << std::endl;
    std::cout << " current_angle: " << (double)value.VCU_Info_1_Signals.current_angle <<std::endl;
    std::cout << " ses_en_sts: " << (double)value.VCU_Info_1_Signals.ses_en_sts << std::endl;
    std::cout << " motor_en_sts: " << (double)value.VCU_Info_1_Signals.motor_en_sts << std::endl;
    std::cout << " current_speed: " << (double)value.VCU_Info_1_Signals.current_speed << std::endl;
    std::cout << " motor_torque: " << (double)value.VCU_Info_1_Signals.motor_torque << std::endl;
    std::cout << " vcu_mode: " << (double)value.VCU_Info_1_Signals.vcu_mode << std::endl;
    std::cout << " controller_online_sts: " << (double)value.VCU_Info_1_Signals.controller_online_sts << std::endl;
    std::cout << " ipc_online_status: " << (double)value.VCU_Info_1_Signals.ipc_online_status << std::endl;
    std::cout << " vcu_life_signal: " << (double)value.VCU_Info_1_Signals.vcu_life_signal << std::endl;
    std::cout << " current_brk_press: " << (double)value.VCU_Info_1_Signals.current_brk_press << std::endl;
    std::cout << " rseb_mode: " << (double)value.VCU_Info_1_Signals.rseb_mode << std::endl;
    std::cout << " battery_number: " << (double)value.VCU_Info_1_Signals.battery_number << std::endl;
    std::cout << " current_gear: " << (double)value.VCU_Info_1_Signals.current_gear << std::endl;
    std::cout << " battery_warning: " << (double)value.VCU_Info_1_Signals.battery_warning << std::endl;
    std::cout << " current_spd_mode: " << (double)value.VCU_Info_1_Signals.current_spd_mode << std::endl;
    std::cout << " timestamp_s: " << (double)value.VCU_Info_1_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.VCU_Info_1_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.VCU_Info_1_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ VCU_Info_2_Signals: " << std::endl;
    std::cout << " soc1: " << (double)value.VCU_Info_2_Signals.soc1 << std::endl;
    std::cout << " soc2: " << (double)value.VCU_Info_2_Signals.soc2 << std::endl;
    std::cout << " collision_status: " << (double)value.VCU_Info_2_Signals.collision_status << std::endl;
    std::cout << " motor_direction: " << (double)value.VCU_Info_2_Signals.motor_direction << std::endl;
    std::cout << " timestamp_s: " << (double)value.VCU_Info_2_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.VCU_Info_2_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.VCU_Info_2_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ DEVSTATUS_Signals: " << std::endl;
    std::cout << " devstatus_ap_temperatue: " << (double)value.DEVSTATUS_Signals.devstatus_ap_temperatue << std::endl;
    std::cout << " timestamp_s: " << (double)value.DEVSTATUS_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.DEVSTATUS_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.DEVSTATUS_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ HEADING_ANGLE_Signals: " << std::endl;
    std::cout << " heading_heading: " << (double)value.HEADING_ANGLE_Signals.heading_heading << std::endl;
    std::cout << " heading_pitch: " << (double)value.HEADING_ANGLE_Signals.heading_pitch << std::endl;
    std::cout << " heading_heading_std: " << (double)value.HEADING_ANGLE_Signals.heading_heading_std << std::endl;
    std::cout << " heading_pitch_std: " << (double)value.HEADING_ANGLE_Signals.heading_pitch_std << std::endl;
    std::cout << " heading_length: " << (double)value.HEADING_ANGLE_Signals.heading_length << std::endl;
    std::cout << " timestamp_s: " << (double)value.HEADING_ANGLE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.HEADING_ANGLE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.HEADING_ANGLE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_STATUS_Signals: " << std::endl;
    std::cout << " ins_ins_status: " << (double)value.INS_SOL_RESULT_STATUS_Signals.ins_ins_status << std::endl;
    std::cout << " ins_pos_type: " << (double)value.INS_SOL_RESULT_STATUS_Signals.ins_pos_type << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_STATUS_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_STATUS_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_STATUS_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_VEL_STD_Signals: " << std::endl;
    std::cout << " ins_velocity_std: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.ins_velocity_std << std::endl;
    std::cout << " ins_velocity_e_std: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.ins_velocity_e_std << std::endl;
    std::cout << " ins_velocity_n_std: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.ins_velocity_n_std << std::endl;
    std::cout << " ins_velocity_u_std: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.ins_velocity_u_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_VEL_STD_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_VEL_Signals: " << std::endl;
    std::cout << " ins_velocity: " << (double)value.INS_SOL_RESULT_VEL_Signals.ins_velocity << std::endl;
    std::cout << " ins_velocity_e: " << (double)value.INS_SOL_RESULT_VEL_Signals.ins_velocity_e << std::endl;
    std::cout << " ins_velocity_n: " << (double)value.INS_SOL_RESULT_VEL_Signals.ins_velocity_n << std::endl;
    std::cout << " ins_velocity_u: " << (double)value.INS_SOL_RESULT_VEL_Signals.ins_velocity_u << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_VEL_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_VEL_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_VEL_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_ANGLE_STD_Signals: " << std::endl;
    std::cout << " ins_course_angle_std: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.ins_course_angle_std << std::endl;
    std::cout << " ins_yaw_angle_std: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.ins_yaw_angle_std << std::endl;
    std::cout << " ins_pitch_std: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.ins_pitch_std << std::endl;
    std::cout << " ins_roll_std: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.ins_roll_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_ANGLE_STD_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_ANGLE_Signals: " << std::endl;
    std::cout << " ins_course_angle: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.ins_course_angle << std::endl;
    std::cout << " ins_yaw_angle: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.ins_yaw_angle << std::endl;
    std::cout << " ins_pitch: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.ins_pitch << std::endl;
    std::cout << " ins_roll: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.ins_roll << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_ANGLE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_ALTITUDE_Signals: " << std::endl;
    std::cout << " ins_altitude: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.ins_altitude << std::endl;
    std::cout << " ins_altitude_std: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.ins_altitude_std << std::endl;
    std::cout << " ins_undulation: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.ins_undulation << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_ALTITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_LONGITUDE_Signals: " << std::endl;
    std::cout << " ins_longitude: " << (double)value.INS_SOL_RESULT_LONGITUDE_Signals.ins_longitude << std::endl;
    std::cout << " ins_longitude_std: " << (double)value.INS_SOL_RESULT_LONGITUDE_Signals.ins_longitude_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_LONGITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_LONGITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_LONGITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_LATITUDE_Signals: " << std::endl;
    std::cout << " ins_latitude: " << (double)value.INS_SOL_RESULT_LATITUDE_Signals.ins_latitude << std::endl;
    std::cout << " ins_latitude_std: " << (double)value.INS_SOL_RESULT_LATITUDE_Signals.ins_latitude_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_LATITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_LATITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_LATITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ INS_SOL_RESULT_COMMON_Signals: " << std::endl;
    std::cout << " ins_gps_week: " << (double)value.INS_SOL_RESULT_COMMON_Signals.ins_gps_week << std::endl;
    std::cout << " ins_gps_sow: " << (double)value.INS_SOL_RESULT_COMMON_Signals.ins_gps_sow << std::endl;
    std::cout << " timestamp_s: " << (double)value.INS_SOL_RESULT_COMMON_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.INS_SOL_RESULT_COMMON_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.INS_SOL_RESULT_COMMON_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_LATENCY_Signals: " << std::endl;
    std::cout << " gnss_measure_latency: " << (double)value.GNSS_SOL_RESULT_LATENCY_Signals.gnss_measure_latency << std::endl;
    std::cout << " gnss_diff_age: " << (double)value.GNSS_SOL_RESULT_LATENCY_Signals.gnss_diff_age << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_LATENCY_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_LATENCY_Signals.timestamp_ns << std::endl;
    // std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_LATENCY_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_SPD_Signals: " << std::endl;
    std::cout << " gnss_horizontal_spd: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.gnss_horizontal_spd << std::endl;
    std::cout << " gnss_track_over_ground: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.gnss_track_over_ground << std::endl;
    std::cout << " gnss_vertical_spd: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.gnss_vertical_spd << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_SPD_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_ALTITUDE_Signals: " << std::endl;
    std::cout << " gnss_altitude: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.gnss_altitude << std::endl;
    std::cout << " gnss_altitude_std: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.gnss_altitude_std << std::endl;
    std::cout << " gnss_undulation: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.gnss_undulation << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_ALTITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_LONGITUDE_Signals: " << std::endl;
    std::cout << " gnss_longitude: " << (double)value.GNSS_SOL_RESULT_LONGITUDE_Signals.gnss_longitude << std::endl;
    std::cout << " gnss_longitude_std: " << (double)value.GNSS_SOL_RESULT_LONGITUDE_Signals.gnss_longitude_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_LONGITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_LONGITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_LONGITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_LATITUDE_Signals: " << std::endl;
    std::cout << " gnss_latitude: " << (double)value.GNSS_SOL_RESULT_LATITUDE_Signals.gnss_latitude << std::endl;
    std::cout << " gnss_latitude_std: " << (double)value.GNSS_SOL_RESULT_LATITUDE_Signals.gnss_latitude_std << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_LATITUDE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_LATITUDE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_LATITUDE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_STATUS_Signals: " << std::endl;
    std::cout << " gnss_postion_type: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.gnss_postion_type << std::endl;
    std::cout << " gnss_solution_type: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.gnss_solution_type << std::endl;
    std::cout << " heading_position_type: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.heading_position_type << std::endl;
    std::cout << " heading_solution_type: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.heading_solution_type << std::endl;
    std::cout << " gnss_velocity_type: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.gnss_velocity_type << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_STATUS_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_COMMON_Signals: " << std::endl;
    std::cout << " gnss_gps_week: " << (double)value.GNSS_SOL_RESULT_COMMON_Signals.gnss_gps_week << std::endl;
    std::cout << " gnss_gps_sow: " << (double)value.GNSS_SOL_RESULT_COMMON_Signals.gnss_gps_sow << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_COMMON_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_COMMON_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_COMMON_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_DOP_Signals: " << std::endl;
    std::cout << " gnss_hdop: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.gnss_hdop << std::endl;
    std::cout << " gnss_pdop: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.gnss_pdop << std::endl;
    std::cout << " gnss_vdop: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.gnss_vdop << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_DOP_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ GNSS_SOL_RESULT_NUM_Signals: " << std::endl;
    std::cout << " gnss_num_sats: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.gnss_num_sats << std::endl;
    std::cout << " gnss_num_sats_used: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.gnss_num_sats_used << std::endl;
    std::cout << " gnss_used_snr_avg: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.gnss_used_snr_avg << std::endl;
    std::cout << " heading_svs: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.heading_svs << std::endl;
    std::cout << " heading_soln_svs: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.heading_soln_svs << std::endl;
    std::cout << " timestamp_s: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.GNSS_SOL_RESULT_NUM_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_BIAS_CORRECTED_COMMON_Signals: " << std::endl;
    std::cout << " imu_gps_week: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.imu_gps_week << std::endl;
    std::cout << " imu_gps_sow: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.imu_gps_sow << std::endl;
    std::cout << " imu_temperatue: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.imu_temperatue << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_BIAS_CORRECTED_COMMON_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_BIAS_CORRECTED_ANGRATE_Signals: " << std::endl;
    std::cout << " imu_bias_corrected_ang_rate_x: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.imu_bias_corrected_ang_rate_x << std::endl;
    std::cout << " imu_bias_corrected_ang_rate_y: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.imu_bias_corrected_ang_rate_y << std::endl;
    std::cout << " imu_bias_corrected_ang_rate_z: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.imu_bias_corrected_ang_rate_z << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_BIAS_CORRECTED_ANGRATE_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_BIAS_CORRECTED_ACC_Signals: " << std::endl;
    std::cout << " imu_bias_corrected_acc_x: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.imu_bias_corrected_acc_x << std::endl;
    std::cout << " imu_bias_corrected_acc_y: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.imu_bias_corrected_acc_y << std::endl;
    std::cout << " imu_bias_corrected_acc_z: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.imu_bias_corrected_acc_z << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_BIAS_CORRECTED_ACC_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_ORIGIN_COMMON_Signals: " << std::endl;
    std::cout << " imu_ori_gps_week: " << (double)value.IMU_ORIGIN_COMMON_Signals.imu_ori_gps_week << std::endl;
    std::cout << " imu_ori_gps_sow: " << (double)value.IMU_ORIGIN_COMMON_Signals.imu_ori_gps_sow << std::endl;
    std::cout << " imu_temperatue: " << (double)value.IMU_ORIGIN_COMMON_Signals.imu_temperatue << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_ORIGIN_COMMON_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_ORIGIN_COMMON_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_ORIGIN_COMMON_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_ORIGIN_ACC_Signals: " << std::endl;
    std::cout << " imu_ori_acc_x: " << (double)value.IMU_ORIGIN_ACC_Signals.imu_ori_acc_x << std::endl;
    std::cout << " imu_ori_acc_y: " << (double)value.IMU_ORIGIN_ACC_Signals.imu_ori_acc_y << std::endl;
    std::cout << " imu_ori_acc_z: " << (double)value.IMU_ORIGIN_ACC_Signals.imu_ori_acc_z << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_ORIGIN_ACC_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_ORIGIN_ACC_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_ORIGIN_ACC_Signals.crc8 << std::endl;
    std::cout << std::endl;

    std::cout << "# ------ IMU_ORIGIN_GYRO_Signals: " << std::endl;
    std::cout << " imu_ori_gyro_x: " << (double)value.IMU_ORIGIN_GYRO_Signals.imu_ori_gyro_x << std::endl;
    std::cout << " imu_ori_gyro_y: " << (double)value.IMU_ORIGIN_GYRO_Signals.imu_ori_gyro_y << std::endl;
    std::cout << " imu_ori_gyro_z: " << (double)value.IMU_ORIGIN_GYRO_Signals.imu_ori_gyro_z << std::endl;
    std::cout << " timestamp_s: " << (double)value.IMU_ORIGIN_GYRO_Signals.timestamp_s << std::endl;
    std::cout << " timestamp_ns: " << (double)value.IMU_ORIGIN_GYRO_Signals.timestamp_ns << std::endl;
    std::cout << " crc8: " << (double)value.IMU_ORIGIN_GYRO_Signals.crc8 << std::endl;
    std::cout << std::endl;
}


#endif /* MODULES_CAN_UTILS_H_ */
